DateTime::__set_state
DateTime::setISODate
DateTime
PHP Manual

# DateTime::setDate

(PHP 5 >= 5.2.0)

DateTime::setDate — Sets the date

### Description

Object oriented style

public DateTime DateTime::setDate ( int `$year` , int `$month` , int `$day` )

Procedural style

DateTime date_date_set ( DateTime `$object` , int `$year` , int `$month` , int `$day` )

Resets the current date of the DateTime object to a different date.

### Parameters

`object`

  Procedural style only: A DateTime object returned by date_create(). The function modifies this object.

`year`

  Year of the date.

`month`

  Month of the date.

`day`

  Day of the date.

### Return Values

Returns the modified DateTime object or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.0 | Changed the return value from `NULL` to DateTime.

### Examples

Example #1 DateTime::setDate() example

Object oriented style

`<?php
$date = new DateTime();
$date->setDate(2001, 2, 3);
echo $date->format('Y-m-d');
?>`

Procedural style

`<?php
$date = date_create();
date_date_set($date, 2001, 2, 3);
echo date_format($date, 'Y-m-d');
?>`

The above examples will output:

    2001-02-03

Example #2 Values exceeding ranges are added to their parent values

`<?php
$date = new DateTime();
$date->setDate(2001, 2, 28);
echo $date->format('Y-m-d') . "\n";
$date->setDate(2001, 2, 29);
echo $date->format('Y-m-d') . "\n";
$date->setDate(2001, 14, 3);
echo $date->format('Y-m-d') . "\n";
?>`

The above example will output:

    2001-02-28
    2001-03-01
    2002-02-03

### See Also

- DateTime::setISODate() - Sets the ISO date
- DateTime::setTime() - Sets the time

DateTime::__set_state
DateTime::setISODate
DateTime
PHP Manual